uuid: bb91b314-1b79-4555-9ce6-9d023bbce38d
langcode: en
status: true
dependencies: {  }
id: gronze_node_poi_fields
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - node
  - gronze
  - poi
  - level3
migration_group: gronze_node_fields
label: 'POI nodes fields migration from Gronze D7'
source:
  high_water_property:
    name: vid
    alias: 'n'
  plugin: d7_node_gronze
  node_type: poi
process:
  changed: changed
  nid:
    plugin: migration_lookup
    migration: gronze_node_poi
    source: nid
    no_stub: true
  body/value: body/0/value
  body/summary: body/0/summary
  body/format:
    plugin: text_format_map
    source: body/0/format
  field_ref_location:
    plugin: sub_process
    source: field_poi_city_entity_reference
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_locations
        source: target_id
        no_stub: true
  field_ref_poi_type:
    plugin: sub_process
    source: field_poi_type_reference
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_taxonomy_poi_type
        source: target_id
        no_stub: true
  field_poi_desc/value: field_poi_desc/0/value
  field_poi_desc/format:
    plugin: default_value
    default_value: basic_html
  field_poi_more:
    plugin: sub_process
    source: field_poi_more
    process:
      uri: url
      title: title
      options: attributes
  field_poi_rating: field_poi_rating
  field_image:
    plugin: sub_process
    source: field_poi_imagen
    process:
      target_id:
        plugin: migration_lookup
        migration: gronze_media_image
        source: fid
        no_stub: true
  field_poi_geopos:
    plugin: geofield_latlon
    source:
      - field_poi_geopos/0/lat
      - field_poi_geopos/0/lon
destination:
  plugin: 'entity:node'
  default_bundle: poi
migration_dependencies:
  required:
    - gronze_node_poi
    - gronze_taxonomy_locations
    - gronze_taxonomy_poi_type
    - gronze_media_image
